Search found 65 matches

Go to advanced search

by prandall
Mon Feb 04, 2019 3:41 pm
Forum: Python scripting and macros
Topic: Are these methods obsolete? obj.ViewObject.startEditing, finishEditing() isEditing()
Replies: 1
Views: 86

Are these methods obsolete? obj.ViewObject.startEditing, finishEditing() isEditing()

Hi, Been searching on this for awhile now. It seems these methods are now gone. This is how I had been using isEditing() in my macro ( which still needs work ): objects =App.ActiveDocument.Objects for obj in objects: if obj.Module == 'Sketcher': checksketch = obj viewer = checksketch.ViewObject if v...
by prandall
Wed Dec 19, 2018 2:01 pm
Forum: Python scripting and macros
Topic: [Solved] Custom Workbench - def execute(self,fp): runs when I delete an element in Sketch
Replies: 2
Views: 168

Re: Custom Workbench - def execute(self,fp): runs when I delete an element in Sketch

microelly2 wrote:
Wed Dec 19, 2018 11:27 am
you can create the two lines in the _init_ method,
so they are created only in the first call.
Thanks, so simple, I had in my mind that __init__ is reserved somehow.
by prandall
Tue Dec 18, 2018 3:56 pm
Forum: Python scripting and macros
Topic: [Solved] Custom Workbench - def execute(self,fp): runs when I delete an element in Sketch
Replies: 2
Views: 168

[Solved] Custom Workbench - def execute(self,fp): runs when I delete an element in Sketch

OS: Linux Mint 17.3 Rosa Word size of OS: 32-bit Word size of FreeCAD: 32-bit Version: 0.18.15353 (Git) Build type: Release Branch: master Hash: 20fe774784bd013c74c1edaed8985e851bb1370b Python version: 2.7.6 Qt version: 4.8.6 Coin version: 4.0.0a OCC version: 7.3.0 Locale: English/UnitedStates (en_U...
by prandall
Tue May 08, 2018 6:47 pm
Forum: Wiki
Topic: Asking for wiki edit permission
Replies: 169
Views: 27816

Re: Asking for wiki edit permission

Found a small mistake on https://www.freecadweb.org/wiki/Draft_Text

The command for makeText, uses the keyword screenmode, however in the current version ( 0.18 ) the keyword is screen

I will change if given wiki permissions.
by prandall
Thu May 03, 2018 1:35 pm
Forum: UX/UI Design
Topic: UI/UX suggestions for Addon Installer
Replies: 86
Views: 7950

Re: UI/UX suggestions for Addon Installer

Was thinking about starting a new thread, thought it might be better here, let me know :) I did read/scan through the whole thread but I certainly could of missed this stuff. I have found a bunch of Macros that display this message. "Unable to fetch the code of this macro" Animated Constrain CloneCo...
by prandall
Mon Apr 30, 2018 2:04 pm
Forum: Python scripting and macros
Topic: A script that will loop through every object in the drawing,...
Replies: 1
Views: 223

Re: A script that will loop through every object in the drawing,...

I have the same question. I am going to work this through in my reply. My solution probably is not robust or will even work completely but I think it is a good jump off. For just a Box from Part Workbench then it is something like yourboxes = App.ActiveDocument.findObjects("Part::Box") for box in yo...
by prandall
Thu Apr 26, 2018 10:20 pm
Forum: Open discussion
Topic: Sketcher does not allow usage of reference constraints
Replies: 21
Views: 1060

Re: Sketcher does not allow usage of reference constraints

At the time of the post I was using 0.17 ( The latest daily build ) Now I am using 0.18 OS: Linux Mint 17.3 Rosa Word size of OS: 32-bit Word size of FreeCAD: 32-bit Version: 0.18.13588 (Git) Build type: None Branch: master Hash: 1e2b9758cc7f6872da018ee71983a82499866508 Python version: 2.7.6 Qt vers...
by prandall
Wed Apr 25, 2018 11:59 pm
Forum: Help on using FreeCAD
Topic: Turning Sketches Around a Single Axis
Replies: 29
Views: 1070

Re: Turning Sketches Around a Single Axis

Are you going for something like this. I completed this with Sketcher Workbench and Part Workbench loft. Selection_652.png I wouldn't even try this in Part Design WB, The Polar Pattern is slower and it is too picky about which feature you can use. Of course that could just be be my lack of skills. H...
by prandall
Wed Apr 25, 2018 11:18 pm
Forum: Help on using FreeCAD
Topic: Possible Bug using "Draft - Edit Mirror Plane" ( SegFault )
Replies: 5
Views: 148

Re: Possible Bug using "Draft - Edit Mirror Plane" ( SegFault )

Ok, I think that at least confirms there is a bug. I will add it tomorrow.
by prandall
Wed Apr 25, 2018 10:40 pm
Forum: Help on using FreeCAD
Topic: Possible Bug using "Draft - Edit Mirror Plane" ( SegFault )
Replies: 5
Views: 148

Re: Possible Bug using "Draft - Edit Mirror Plane" ( SegFault )

When you go to next version of daily-build can you try again?

Go to advanced search